Magick::ErrorResourceLimit Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::ErrorResourceLimit:
[legend]
Collaboration diagram for Magick::ErrorResourceLimit:
[legend]

## Public Member Functions

| ErrorResourceLimit (const std::string &what_)
| ErrorResourceLimit (const std::string &what_, Exception *nested_)
| ~ErrorResourceLimit () throw ()
Public Member Functions inherited from Magick::Error
| Error (const std::string &what_)
| Error (const std::string &what_, Exception *nested_)
| ~Error () throw ()
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 194 of file Exception.h.

## Constructor & Destructor Documentation

## ErrorResourceLimit() [1/2]

Magick::ErrorResourceLimit::ErrorResourceLimit | ( | const std::string & | what_ | ) |

explicit

Definition at line 305 of file Exception.cpp.

## ErrorResourceLimit() [2/2]

Magick::ErrorResourceLimit::ErrorResourceLimit | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

explicit

Definition at line 310 of file Exception.cpp.

## ~ErrorResourceLimit()

Magick::ErrorResourceLimit::~ErrorResourceLimit | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 316 of file Exception.cpp.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp